thunar has a broken watch file; patch attached

Bug #525282 reported by Sindhudweep Sarkar on 2010-02-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
thunar (Debian)
Fix Released
Unknown
thunar (Ubuntu)
Wishlist
Lionel Le Folgoc

Bug Description

Binary package hint: thunar

This was submitted here instead of upstream since it seems that thunar is managed with bzr in launchpad. I will attach a branch in case this is simpler than applying a patch.

=== modified file debian/watch
--- debian/watch 2008-06-03 19:33:55 +0000
+++ debian/watch 2010-02-21 12:52:41 +0000
@@ -1,3 +1,3 @@
 version=3
-http://www.xfce.org/archive/xfce-(.*)/src/ \
+http://www.xfce.org/archive/xfce/([\d\.]+)/src/ \
  Thunar-(.*)\.tar\.bz2

Lionel Le Folgoc (mrpouit) wrote :

Thanks for your bug report and patch. I prefer to wait for the fix to enter Debian though.

Changed in thunar (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged

Works for me! I will continue to submit the patches to Debian. Please feel free to ignore any similar bugs on LP to save yourself some time :D

Changed in thunar (Ubuntu):
status: Triaged → Fix Committed
assignee: nobody → Lionel Le Folgoc (mrpouit)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunar - 1.0.1-3ubuntu1

---------------
thunar (1.0.1-3ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/control:
      + use our Vcs-* fields
      + build-depends on libgamin-dev instead of libfam-dev and remove the
        Build-Conflicts field (this should fix the alternate cd, LP: #323665)
    - debian/patches:
      + 06_fix-menu-icons.patch: correctly displays themed icons even if there's
        a dot in the middle of the filename (see Xfce #3614)
      + 10_fix-sidepane-width.patch: use g_utf8_strlen to calculate
        the sidepane width. LP: #501211
      + 11_fix-crash-drag-gdk-none.patch: avoid requesting drag
        data if target is GDK_NONE. lp: #478443
      + 12_update-cursor-on-delete.patch: properly update the cursor when
        a row is deleted in (Xfce #5361).
      + 13_refilter-tree-hidden-dir.patch: refilter tree model view when
        entering/leaving an hidden directory. lp: #484220
      + xubuntu-fix-desktop-files.patch: various fixes to desktop files:
        . make thunar and thunar-bulk-rename appear under Accessories not System
        . make destop-file-validate happy (remove 'Encoding' and 'Application;')
        . add 'OnlyShowIn="XFCE;"' to Thunar-folder-handler.desktop so that
          GNOME defaults to Nautilus and not Thunar
        . hide Bulk Rename from the menu LP: #441278.

  * Fixed watch file, thanks Sindhudweep Sarkar. lp: #525282

thunar (1.0.1-3) unstable; urgency=low

  * debian/control:
    - drop strict versioned dependency on thunar-data for libthunarvfs
      packages, only Thunar really needs it.
    - switch libjpeg62-dev build-dep to libjpeg-dev.
    - update standards version to 3.8.4.
  * debian/watch updated. closes: #570793
 -- Lionel Le Folgoc <email address hidden> Sat, 27 Feb 2010 00:24:57 +0100

Changed in thunar (Ubuntu):
status: Fix Committed → Fix Released
Changed in thunar (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.